/** Klasse 'Student' */

import java.util.*;

public class Student extends Person
{
    // instance variables
    private int MatrikelNr;

    /**
     * Constructor for objects of class Student
     */
    public Student()
    {
        // initialise instance variables
        SetMatrikelNr();
    }
    
    /** In einen Kurs einschreiben */
    public void Einschreiben (){
        Veranstaltung.printCourses();
        System.out.print("Nr. des gewünschten Kurses: ");
        int auswahl = input.nextInt();
        System.out.println();
        Veranstaltung.getKurs(auswahl).register(this);
    }
    
    /** Rolle eines Dozenten übernehmen und Kurs eröffnen */
    public void TutorWerden ()
    {
        Person myself = this;  // Implizite Typumwandlung von 'Student' (this) auf 'Person' (myself)
        Dozent myTutorIdentity = (Dozent) myself;  // Explizite Typumwandlung von 'Person' (myself) auf 'Dozent' (myTutorIdentity)
        myTutorIdentity.CreateNewCourse();  // Neue 'Veranstaltung' erzeugen
    }
    
     /** Setter und Getter*/ 
    public void SetMatrikelNr(){
       System.out.println("Bitte die Matrikel-Nummer eingeben: ");
       MatrikelNr = input.nextInt();  
       System.out.println("--> Der Student wurde registriert");
    }
    
    public int GetMatrikelNr(){return this.MatrikelNr;}
}
