/**
 * Klasse ABC:
 * -----------
 * Darstellung ausgewählter Groß-Buchstaben und Sonderzeichen 
 * duch 11-zeilige ASCII-Art-Zeichen.
 * 
 * Autor: Dr. Hanno Schauer, Mons-Tabor-Gymnasium Montabaur.
 * Lizenz: Creative Commens BY 4.0 (http://creativecommons.org/licenses/by/4.0/legalcode)
 */
public class ABC
{
    /**
     * Buchstabe A
     */
    public static String A(int line){
       switch (line){
           case  1: return "     xxxxx     "; 
           case  2: return "    x     x    "; 
           case  3: return "   x   x   x   "; 
           case  4: return "  x   x x   x  "; 
           case  5: return " x   x   x   x "; 
           case  6: return "x   x     x   x"; 
           case  7: return "x   xxxxxxx   x"; 
           case  8: return "x             x"; 
           case  9: return "x   xxxxxxx   x";        
           case 10: return "x   x     x   x"; 
           case 11: return "xxxxx     xxxxx"; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
     /**
     * Buchstabe B
     */
    public static String B(int line){
       switch (line){
           case  1: return "xxxxxxxxxx    "; 
           case  2: return "x         x   "; 
           case  3: return "x   xxx    x  "; 
           case  4: return "x   x  x    x "; 
           case  5: return "x   xxx    x  "; 
           case  6: return "x        xxx  "; 
           case  7: return "x   xxxx    x "; 
           case  8: return "x   x   x    x"; 
           case  9: return "x   xxxx    x ";        
           case 10: return "x          x  "; 
           case 11: return "xxxxxxxxxxx   "; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe C
     */
    public static String C(int line){
       switch (line){
           case  1: return "   xxxxxxxxxxxx"; 
           case  2: return "  x           x"; 
           case  3: return " x     xxxxxxxx"; 
           case  4: return "x     x        "; 
           case  5: return "x    x         "; 
           case  6: return "x    x         "; 
           case  7: return "x    x         "; 
           case  8: return "x     x        "; 
           case  9: return " x     xxxxxxxx";        
           case 10: return "  x           x"; 
           case 11: return "   xxxxxxxxxxxx"; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe E
     */
    public static String E(int line){
       switch (line){
           case  1: return "xxxxxxxxxxxxx"; 
           case  2: return "x           x"; 
           case  3: return "x   xxxxxxxxx"; 
           case  4: return "x   x"        ; 
           case  5: return "x   xxxxx"    ; 
           case  6: return "x       x"    ; 
           case  7: return "x   xxxxx"    ; 
           case  8: return "x   x"        ; 
           case  9: return "x   xxxxxxxxx";        
           case 10: return "x           x"; 
           case 11: return "xxxxxxxxxxxxx"; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe F
     */
    public static String F(int line){
       switch (line){
           case  1: return "xxxxxxxxxxxxx" ; 
           case  2: return "x           x" ; 
           case  3: return "x   xxxxxxxxx" ; 
           case  4: return "x   x        " ; 
           case  5: return "x   xxxxx    " ; 
           case  6: return "x       x    " ; 
           case  7: return "x   xxxxx    " ; 
           case  8: return "x   x        " ; 
           case  9: return "x   x        " ;        
           case 10: return "x   x        " ; 
           case 11: return "xxxxx        " ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    
    /**
     * Buchstabe G
     */
    public static String G(int line){
       switch (line){
           case  1: return "  xxxxxxxxxxxxxx"; 
           case  2: return " x             x"; 
           case  3: return "x     xxxxxxxxxx"; 
           case  4: return "x    x         "; 
           case  5: return "x    x          "; 
           case  6: return "x    x  xxxxxxxx"; 
           case  7: return "x    x  x      x"; 
           case  8: return "x    x    x    x"; 
           case  9: return "x     xxxxx    x";        
           case 10: return " x             x"; 
           case 11: return "  xxxxxxxxxxxxxx"; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
        
    /**
     * Buchstabe H
     */
    public static String H(int line){
       switch (line){
           case  1: return "xxxxx    xxxxx" ; 
           case  2: return "x   x    x   x" ; 
           case  3: return "x   x    x   x" ; 
           case  4: return "x   x    x   x" ; 
           case  5: return "x   xxxxxx   x" ; 
           case  6: return "x            x" ; 
           case  7: return "x   xxxxxx   x" ; 
           case  8: return "x   x    x   x" ; 
           case  9: return "x   x    x   x" ;        
           case 10: return "x   x    x   x" ; 
           case 11: return "xxxxx    xxxxx" ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe I
     */
    public static String I(int line){
       switch (line){
           case  1: return "xxxxxxxxx" ; 
           case  2: return "x       x" ; 
           case  3: return "xxx   xxx" ;  
           case  4: return "  x   x  " ;  
           case  5: return "  x   x  " ; 
           case  6: return "  x   x  " ; 
           case  7: return "  x   x  " ; 
           case  8: return "  x   x  " ; 
           case  9: return "xxx   xxx" ;        
           case 10: return "x       x" ; 
           case 11: return "xxxxxxxxx" ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe L
     */
    public static String L(int line){
       switch (line){
           case  1: return "xxxxx       " ; 
           case  2: return "x   x       " ; 
           case  3: return "x   x       " ; 
           case  4: return "x   x       " ; 
           case  5: return "x   x       " ; 
           case  6: return "x   x       " ; 
           case  7: return "x   x       " ; 
           case  8: return "x   x       " ; 
           case  9: return "x   xxxxxxxx" ;        
           case 10: return "x          x" ; 
           case 11: return "xxxxxxxxxxxx" ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
     /**
     * Buchstabe O
     */
    public static String O(int line){
       switch (line){
           case  1: return "   xxxxxxxxx   "; 
           case  2: return "  x         x  "; 
           case  3: return " x           x "; 
           case  4: return "x     xxx     x"; 
           case  5: return "x    x   x    x"; 
           case  6: return "x    x   x    x"; 
           case  7: return "x    x   x    x"; 
           case  8: return "x     xxx     x"; 
           case  9: return " x           x ";        
           case 10: return "  x         x  "; 
           case 11: return "   xxxxxxxxx   "; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe P
     */
    public static String P(int line){
       switch (line){
           case  1: return " xxxxxxxxxxx   "; 
           case  2: return "x           x  "; 
           case  3: return "x   xxxxx    x "; 
           case  4: return "x   x    x    x"; 
           case  5: return "x   xxxxx    x "; 
           case  6: return "x           x  "; 
           case  7: return "x   xxxxxxx    "; 
           case  8: return "x   x          "; 
           case  9: return "x   x          ";        
           case 10: return "x   x          "; 
           case 11: return "xxxxx          ";  
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
        
     /**
     * Buchstabe R
     */
    public static String R(int line){
       switch (line){
           case  1: return " xxxxxxxxxxxx   "; 
           case  2: return "x            x  "; 
           case  3: return "x   xxxxx     x "; 
           case  4: return "x   x    x    x "; 
           case  5: return "x   xxxxx    x  "; 
           case  6: return "x         xxx   "; 
           case  7: return "x   x    x      "; 
           case  8: return "x   x x    x    "; 
           case  9: return "x   x   x    x  ";        
           case 10: return "x   x     x    x"; 
           case 11: return "xxxxx      xxxxx";  
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
        
     /**
     * Buchstabe S
     */
    public static String S(int line){
       switch (line){
           case  1: return "   xxxxxxxxxxxxx "; 
           case  2: return "  x             x"; 
           case  3: return " x    xxxxxxxxxx "; 
           case  4: return "x    x           "; 
           case  5: return " x    xxxxxxxx   "; 
           case  6: return "  x           x  "; 
           case  7: return "   xxxxxxx     x "; 
           case  8: return "          x     x"; 
           case  9: return " xxxxxxxxx     x ";        
           case 10: return "x             x  "; 
           case 11: return " xxxxxxxxxxxx    ";  
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe T
     */
    public static String T(int line){
       switch (line){
           case  1: return "xxxxxxxxxxxxxxx" ; 
           case  2: return "x             x" ; 
           case  3: return "xxxxxx   xxxxxx" ;  
           case  4: return "     x   x     " ;  
           case  5: return "     x   x     " ; 
           case  6: return "     x   x     " ; 
           case  7: return "     x   x     " ; 
           case  8: return "     x   x     " ; 
           case  9: return "     x   x     " ;        
           case 10: return "     x   x     " ; 
           case 11: return "     xxxxx     " ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
        
     /**
     * Buchstabe U
     */
    public static String U(int line){
       switch (line){
           case  1: return " xxxx     xxxx "; 
           case  2: return "x    x   x    x"; 
           case  3: return "x    x   x    x"; 
           case  4: return "x    x   x    x"; 
           case  5: return "x    x   x    x"; 
           case  6: return "x    x   x    x"; 
           case  7: return "x    x   x    x"; 
           case  8: return "x    x   x    x"; 
           case  9: return "x     xxx     x";        
           case 10: return " x           x "; 
           case 11: return "  xxxxxxxxxxx  "; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe X
     */
    public static String X(int line){
       switch (line){
           case  1: return "xxxxx       xxxxx"; 
           case  2: return " x   x     x   x "; 
           case  3: return "  x   x   x   x  "; 
           case  4: return "   x   x x   x   "; 
           case  5: return "    x   x   x    "; 
           case  6: return "     x     x     "; 
           case  7: return "    x   x   x    "; 
           case  8: return "   x   x x   x   "; 
           case  9: return "  x   x   x   x  ";        
           case 10: return " x   x     x   x "; 
           case 11: return "xxxxx       xxxxx"; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
     /**
     * Buchstabe Y
     */
    public static String Y(int line){
       switch (line){
           case  1: return "xxxxx       xxxxx"; 
           case  2: return " x   x     x   x "; 
           case  3: return "  x   x   x   x  "; 
           case  4: return "   x   x x   x   "; 
           case  5: return "    x   x   x    "; 
           case  6: return "     x     x     "; 
           case  7: return "      x   x      "; 
           case  8: return "      x   x      "; 
           case  9: return "      x   x      ";        
           case 10: return "      x   x      "; 
           case 11: return "      xxxxx      "; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Buchstabe '+'
     */
    public static String plus(int line){
       switch (line){
           case  1: return "            " ; 
           case  2: return "            " ; 
           case  3: return "   xxxxx    " ;  
           case  4: return "   x   x    " ;  
           case  5: return "xxxx   xxxxx" ; 
           case  6: return "x          x" ; 
           case  7: return "xxxx   xxxxx" ; 
           case  8: return "   x   x    " ; 
           case  9: return "   xxxxx    " ;        
           case 10: return "            " ; 
           case 11: return "            " ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Leerzeichen
     */
    public static String leerzeichen (int line){
       switch (line){
           case  1: return "   " ; 
           case  2: return "   " ; 
           case  3: return "   " ;  
           case  4: return "   " ;  
           case  5: return "   " ;  
           case  6: return "   " ; 
           case  7: return "   " ; 
           case  8: return "   " ; 
           case  9: return "   " ;         
           case 10: return "   " ; 
           case 11: return "   " ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
    
    /**
     * Rufzeichen
     */
    public static String rufzeichen (int line){
       switch (line){
           case  1: return "xxxxx" ; 
           case  2: return "x   x" ; 
           case  3: return "x   x" ;  
           case  4: return "x   x" ;  
           case  5: return "x   x" ; 
           case  6: return "x   x" ; 
           case  7: return "xxxxx" ; 
           case  8: return "     " ; 
           case  9: return "xxxxx" ;        
           case 10: return "x   x" ; 
           case 11: return "xxxxx" ; 
           default: System.out.println("FEHLER: Falsch aufgerufener Buchstabe in Klasse ABC"); return "";
       }   
    }
}
